# Disk Space Alert

## Introduction

The Disk Space Alert module monitors disk space usage and sends notifications when it crosses a specified threshold. This module provides a configuration form to set custom thresholds, notification methods, and more.

## Features

- Set custom disk space threshold percentage.
- Notify site admin by email.
- Send a POST request to a specified URL with a custom message.
- Customizable message tokens for dynamic content.
- Runs on cron and can be triggered manually.

## Requirements

- Drupal 10
- Composer
- Required modules:
  - devel

## Installation

1. Place the module in the `modules` directory.
2. Enable the module:

   ```sh
   drush en disk_space_alert
   ```

3. Configure the module at `/admin/config/system/disk-space-alert`.

## Configuration

Navigate to `/admin/config/system/disk-space-alert` to configure the module settings:

- Enable or disable the module.
- Set disk space threshold percentage.
- Enable email notifications.
- Specify a POST URL and custom message.

## Usage

- The module will automatically check disk space on cron runs.
- Manually trigger a check by visiting /admin/config/system/disk-space-alert/manual-check.
