<?php

namespace Drupal\disk_space_alert\Cron;

use Drupal\disk_space_alert\Service\DiskSpaceAlertService;

/**
 * Class DiskSpaceAlertCron.
 *
 * Runs the disk space alert check during cron.
 */
class DiskSpaceAlertCron {

  /**
   * The disk space alert service.
   *
   * @var \Drupal\disk_space_alert\Service\DiskSpaceAlertService
   */
  protected DiskSpaceAlertService $diskSpaceAlertService;

  /**
   * Constructs a DiskSpaceAlertCron object.
   *
   * @param \Drupal\disk_space_alert\Service\DiskSpaceAlertService $diskSpaceAlertService
   *   The disk space alert service.
   */
  public function __construct(DiskSpaceAlertService $diskSpaceAlertService) {
    $this->diskSpaceAlertService = $diskSpaceAlertService;
  }

  /**
   * Runs the disk space alert check.
   */
  public function run() {
    $this->diskSpaceAlertService->checkDiskSpace();
  }

}
